Subject: Re: bug#56965: wterm does not work on sway

From: [email-masked]
Date: Sat, 6 Aug 2022 21:45:28 +0200

Hi Joshua,

On +2022-08-03 21:54:12 -0400, Joshua Branson via Bug reports for GNU Guix wrote:
> 
> wterm is said to be a simple terminal for wayland:
> 
> #+BEGIN_SRC shell  :results: raw
> guix show wterm | recsel -p synopsis
> #+END_SRC
> 
> #+RESULTS:
> : synopsis: Terminal emulator for Wayland
> 
> Well, when I try to use it, I get the following error on sway.  wterm
> does not start.
> 
> joshua@crazyhorse ~ (master)> wterm 
> wl_drm@11: error 0: authenticate failed
> # wayland_create_context: DRM authentication failed
> # wayland_create_context: No wl_shm global
> # wld_wayland_create_context: Could not initialize any of the specified implementations
> Can't create wayland context
> 
> 
> Thanks,
> 
> Joshua
> 

Might you need to add video and maybe audio groups to your set of groups?

What do you get from
    id $USER
or
    groups
or, to see who else you share groups with
    grep $USER /etc/groups
for adding groups to those you already have, I think check the -aG option
    info usermod
I don't dare suggest the actual command for your system, so
you're on your own. If you have the sudo group, id $USER should show it,
and that's probably easier. If you go into root, you don't want
to add video,audio to root, so IIRC the options are a little different
to make sure you as $USER get the added groups, not root.
(BTW, try typing "id root" ;)

HTH
--
Regards,
Bengt Richter